Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deDriver.hpp File Reference

base header for drivers More...

`#include "deGlobalTypes.hpp"`
`#include "deArray.hpp"`

Include dependency graph for deDriver.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds
struct | deDisplay
| a basic struct used to hold display information More...
class | IdeDriver
struct | deDriverCaps
| structure for evaluating the capabilities of a hardware device More...
struct | deDriverInfo
struct | deDriverStats
| structure for keeping track of things that happen between BeginFrame calls More...
class | IdeDriverLoad
class | IdeShader
| The interface for vertex and pixel shaders. More...
struct | deShaderInstruction
| A struct used to hold information about a shader instruction. More...
struct | deShaderConstant
| A struct used to hold information about a shader constant. More...
struct | StreamDescriptor_t
| Used to store the specifics of a vertex element. More...
struct | UsageDescriptor_t
class | IdeVertexBuffer
class | IdeVertexBuffer2
## Defines
#define | DEDRIVER_API extern "C" DEDLL_IMPORT
## Typedefs
typedef deDriverInfo | deDriverInfo
typedef deBoolean(* | ISDESTINY3DDRIVER )()
typedef IdeDriver *(* | GETDRIVERINSTANCE )(long ID)
typedef const deDriverInfo *(* | GETDRIVERINFO )(long StructSize)
## Functions
DEDLL_IMPORT deBoolean | IdeDriver_FillVersionInfo (deDriverInfo *DriverInfo, char *Date, char *Time)
DEDLL_IMPORT IdeDriverLoad * | IdeDriverLoad_CreateDriverLoad (char const *path)
DEDLL_IMPORT deBoolean | IdeDriver_Initialize ()
DEDLL_IMPORT long | IdeDriver_BPPBitDepth (IdeDriver::BPP BPPType)
C DEDLL_IMPORT IdeVertexBuffer * | IdeVertexBuffer_CreateVBuffer ()
| Create an instance of IdeVertexBuffer.
DEDLL_IMPORT IdeVertexBuffer * | IdeVertexBuffer_CreateSubVBuffer (IdeVertexBuffer *Composite)
DEDLL_IMPORT long | IdeVertexBuffer_EntrySize (IdeVertexBuffer::BufferType Type)
DEDLL_IMPORT IdeVertexBuffer::BufferDataType | IdeVertexBuffer_FillBufferDataType (IdeVertexBuffer::BufferType Type, long *Size)
DEDLL_IMPORT IdeShader * | IdeShader_Create ()

## Detailed Description

base header for drivers

Author:
  Lightning, Assassin

This file is the intellectual property of Novus Delta, LLC.. Usage of the contents of this file is subject to the Destiny3D Member License which can be found at http://www.destiny3d.com. Any other usage is prohibited.

This file is distributed "AS IS" without warranty of any kind. Novus Delta, LLC. does not guarantee the fitness of the contents of this file for any particular purpose.

Copyright (C) 2001-2003 Novus Delta, LLC. All Rights Reserved.

Change History

Date:
  Aug 2001

Author:
  Lightning

Remarks:
  Initial Creation

Date:
  Apr 2002

Author:
  Assassin

Remarks:
  Vertex Buffer mods

Date:
  May 2002

Author:
  Assassin

Remarks:
  Stencil-buffer and Render-to-Texture

Date:
  Jul 2004

Author:
  poly-gone

Remarks:
  Floating point surface format support (DX9 driver)

  Two sided stencil support (DX9 driver)

Todo:
  more stencil-buffer support

  more render-to-texture capability

  pixel shader support

  poly-gone Add HDR rendering support

  poly-gone Add hard/soft shadow support

## Define Documentation

#define DEDRIVER_API extern "C" DEDLL_IMPORT

## Typedef Documentation

typedef struct deDriverInfo deDriverInfo

typedef const deDriverInfo*(* GETDRIVERINFO)(long StructSize)

typedef IdeDriver*(* GETDRIVERINSTANCE)(long ID)

typedef deBoolean(* ISDESTINY3DDRIVER)()

## Function Documentation

DEDLL_IMPORT long IdeDriver_BPPBitDepth | ( | IdeDriver::BPP | BPPType | ) |

DEDLL_IMPORT deBoolean IdeDriver_FillVersionInfo | ( | deDriverInfo * | DriverInfo,
|  | char * | Date,
|  | char * | Time
| ) |

DEDLL_IMPORT deBoolean IdeDriver_Initialize | ( |  | ) |

DEDLL_IMPORT IdeDriverLoad* IdeDriverLoad_CreateDriverLoad | ( | char const * | path | ) |

DEDLL_IMPORT IdeShader* IdeShader_Create | ( |  | ) |

DEDLL_IMPORT IdeVertexBuffer* IdeVertexBuffer_CreateSubVBuffer | ( | IdeVertexBuffer * | Composite | ) |

  | Create an instance of IdeVertexBuffer, as a sub-vbuffer inside a parent buffer Parameters:
  Composite | Parent buffer to create this sub-vbuffer inside of

C DEDLL_IMPORT IdeVertexBuffer* IdeVertexBuffer_CreateVBuffer | ( |  | ) |

| Create an instance of IdeVertexBuffer.

DEDLL_IMPORT long IdeVertexBuffer_EntrySize | ( | IdeVertexBuffer::BufferType | Type | ) |

DEDLL_IMPORT IdeVertexBuffer::BufferDataType IdeVertexBuffer_FillBufferDataType | ( | IdeVertexBuffer::BufferType | Type,
|  | long * | Size
| ) |